# Generated by Django 3.2.8 on 2021-10-19 13:24

from django.conf import settings
from django.db import migrations, models


def migrate_data(apps, schema_editor):
    User = apps.get_model('castellum_auth', 'User')

    for user in User.objects.all():
        user.domain_set.set(user.general_domains.all())


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('pseudonyms', '0004_domain_name'),
    ]

    operations = [
        migrations.AddField(
            model_name='domain',
            name='users',
            field=models.ManyToManyField(blank=True, help_text='only relevant for general domains', to=settings.AUTH_USER_MODEL, verbose_name='Users who can access this domain'),
        ),
        migrations.RunPython(migrate_data),
    ]
